{{ $content := .Content }}
{{ $h2WithIds := findRESubmatch "<h2 id=\"([^\"]*?)\">(.*?)</h2>" $content }}
<section>
    <div class="h2">Sommaire</div>
    <ul>
        {{ range $h2WithIds }}
            {{ $id := index . 1 }}
            {{ $header := index . 2 }}
            <li><a href="#{{- $id -}}">{{- $header | safeHTML -}}</a></li>
        {{ end }}
    </ul>
</section>
<section>
    <div class="h2">Partager</div>
    <div class="sharethis-inline-share-buttons"></div>
</section>